#ifndef DIGEST_H
#define DIGEST_H  1


/* ========================================================================== */
/* Include files */


/*! \addtogroup DIGEST */
/* @{ */


/* ========================================================================== */
/* Constants */

/*! \name Lenght of message digests */
/*@{*/
#define DIGEST_SHA1_160_LEN  (size_t) 20  /*!< \brief 160 bit */
#define DIGEST_SHA2_256_LEN  (size_t) 32  /*!< \brief 256 bit */
/*@}*/


/* @} */


/* ========================================================================== */
/* Function prototypes */

extern int  digest_sha1_160(const char*, size_t, unsigned char*);
extern int  digest_sha2_256(const char*, size_t, unsigned char*);
extern int  digest_randomart(const char*, const char*, size_t);
extern void  digest_init(void);
extern void  digest_exit(void);


#endif  /* DIGEST_H */

/* EOF */
