#ifndef INET_H
#define INET_H  1


/*! \addtogroup INET */
/* @{ */


/* ========================================================================== */
/* Constants */

/*! \name Error codes */
/*@{*/
#define INET_ERR_UNSPEC  -1  /*!< \brief Unspecified error */
#define INET_ERR_HNR     -2  /*!< \brief Host name resolution failed */
#define INET_ERR_SNR     -3  /*!< \brief Service name resolution failed */
#define INET_ERR_AF      -4  /*!< \brief Address family not supported */
#define INET_ERR_SOCK    -5  /*!< \brief Socket creation failed */
#define INET_ERR_CONN    -6  /*!< \brief Connection failed */
/*@}*/


/* @} */


/* ========================================================================== */
/* Function prototypes */

extern int  inet_connect(int*, int*, const char*, const char*);
extern void  inet_close(int*);


#endif  /* INET_H */

/* EOF */
